Program ChkFSiz;

{     Program takes filespec and checksize in kilobytes as command line
      parameters:
                   CHKFSIZ [filespec] [checksize]

      Returns DOS Errorlevel 0 if size of filespec is less than checksize Kb.
      Returns DOS Errorlevel 1 if size of filespec is greater than or equal
      to checksize Kb.
      Author: Harron K. Appleman, CompuServe 73047,576
}


type
  FileName = String[80];
  ByteFile = File of Byte;

var
  FileToCheck : FileName;
  FileOK : Boolean;
  CheckSize, SizeOfFile : Longint;
  ResultCode : Integer;
  ExitCode : Word;
  DiskFile : ByteFile;

{
==============================================================================
}

Procedure CheckForFile (var TestFile : ByteFile; var FileExists : Boolean);

var
 OK : Boolean;

begin
  {$I-} Reset (DiskFile) {$I+};
  OK:=(IOResult = 0);
  If not OK then FileExists:=False
    else begin
      FileExists:=True;
      Close (DiskFile);
    end;
end; {of proc CheckForFile}


{
==============================================================================
}

begin {main body of ChkFSiz}
  If ParamCount < 2 then begin
    WriteLn ('     CHKFSIZ ERROR: Two command line parameters required.');
    WriteLn; WriteLn ('     SYNTAX:  CHKFSIZ [filespec] [checksize in Kb]');
    WriteLn;
    Halt (1)
  end;
  FileToCheck:=ParamStr(1);
  Assign (DiskFile,FileToCheck);
  CheckForFile (DiskFile,FileOK);
  If not FileOK then begin
    WriteLn ('     CHKFSIZ ERROR:  ' + FileToCheck + ' not found.');
    WriteLn;
    Halt (1)
  end;
  Val (ParamStr(2),CheckSize,ResultCode);
  If ResultCode <> 0 then begin
    WriteLn ('     CHKFSIZ ERROR:  Invalid checksize parameter.');
    WriteLn;
    Halt (1);
  end
  else begin
    CheckSize:= CheckSize * 1000;
    Reset (DiskFile);
    SizeOfFile:= FileSize (DiskFile);
    Close (DiskFile);
    If SizeOfFile < CheckSize then Halt (0)
      else Halt (1);
  end;
end.  {of prog ChkFSiz}
